Skip to main content
GET
/
v1
/
deadlines
/
notifications
Retrieve Deadline Notifications
curl --request GET \
  --url https://reporter.sandbox.lerian.net/v1/deadlines/notifications \
  --header 'X-Organization-id: <x-organization-id>'
import requests

url = "https://reporter.sandbox.lerian.net/v1/deadlines/notifications"

headers = {"X-Organization-id": "<x-organization-id>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Organization-id': '<x-organization-id>'}};

fetch('https://reporter.sandbox.lerian.net/v1/deadlines/notifications', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "total": 1,
  "items": [
    {
      "id": "00000000-0000-0000-0000-000000000001",
      "name": "CADOC 4010",
      "description": "Monthly regulatory report",
      "type": "regulatory",
      "frequency": "monthly",
      "dueDate": "2026-07-31T00:00:00Z",
      "notifyDaysBefore": 5,
      "color": "#ef4444"
    }
  ]
}
{
  "code": "TPL-0017",
  "title": "Bad Request",
  "message": "The server could not understand the request due to malformed syntax. Please check the listed fields and try again."
}

Headers

Authorization
string

The authorization token in the 'Bearer ' format.

Important: This header is required if your environment has Access Manager enabled. For more information, refer to the Access Manager documentation.

X-Organization-id
string
required

The unique identifier of the Organization associated with the request.

Query Parameters

limit
integer
default:10

Maximum number of notifications to return. Must be an integer between 1 and 100.

Response

The list of active deadline notifications within their alert window.

items
object[]

Deadline notifications within their alert window, sorted by urgency.

total
integer

Number of notifications returned.